none
Exchange Dll Reference issue with different studio versions RRS feed

  • Question

  • I'm working on an application built in VS 2005 that uses Exchange 2010 API (Microsof.Exchange.Webservice.dll) as reference. The problem started coming when I upgraded my visual studio to 2008. I could no longer use the same namespace Microsoft.Exchange.Webservices as long as I dont upgrade my target .Net framework to 3.5 or above. I wonder why was this working with visual studio 2005 (No option to mention target framework, but internally code would compile for framework 2.0).

    Now the issue is that

    1. I necessarily need to upgrade my studio.

    2. I cannot upgrade the target framework version while compiling my code.

    Is there any solution to it. Also can someone explain that if this dll necessarily requires 3.5 and above, how was it working with VS 2005.

    Regards

    Thursday, March 28, 2013 8:55 AM